#ifndef SpielObjekt_H
#define SpielObjekt_H

#include <Vec2.h>
#include <Model2D.h>
#include "Team.h"
#include "Strukturen.h"

using namespace Framework;

class SpielObjekt : public Model2DObject
{
private:
	int id;
	int style;
	double stability;
	double energie;
	int maxStability;
	int maxEnergie;
	int energieRadius;
	double reparatur;
	double akkuLeistung;
	double repAbk;
	double akkuAbk;
	Team *team;

public:
	// Konstruktor
	SpielObjekt( ObjektStr *zStr );
	// Destruktor
	~SpielObjekt();
	// nicht constant
	void setTeam( Team *team );
	bool tick( const WeltInfo &info, double zeit ) override;
	// constant
	Team *zTeam() const;
};

#endif